Package org.jfree.report.modules.gui.swing.common

# Interface ActionPlugin

All Known Subinterfaces:
  `ControlActionPlugin`, `ExportActionPlugin`

All Known Implementing Classes:
  `AboutActionPlugin`, `AbstractActionPlugin`, `AbstractExportActionPlugin`, `ExitActionPlugin`, `GoToActionPlugin`, `GoToFirstPageActionPlugin`, `GoToLastPageActionPlugin`, `GoToNextPageActionPlugin`, `GoToPreviousPageActionPlugin`, `HtmlFileExportActionPlugin`, `HtmlZipExportActionPlugin`, `PdfExportActionPlugin`, `PrintActionPlugin`, `ZoomCustomActionPlugin`, `ZoomInActionPlugin`, `ZoomListActionPlugin`, `ZoomOutActionPlugin`

public interface ActionPlugin
Creation-Date: 16.11.2006, 15:47:02

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener l)`
`void`
`addPropertyChangeListener(String property, PropertyChangeListener l)`
`KeyStroke`
`getAcceleratorKey()`
Returns the accelerator key for the export action.
`String`
`getDisplayName()`
Returns the display name for the export action.
`Icon`
`getLargeIcon()`
Returns the large icon for the export action.
`int`
`getMenuOrder()`
A sort key used to enforce a certain order within the actions.
`Integer`
`getMnemonicKey()`
Returns the mnemonic key code.
`String`
`getRole()`
`int`
`getRolePreference()`
`String`
`getShortDescription()`
Returns the short description for the export action.
`Icon`
`getSmallIcon()`
Returns the small icon for the export action.
`int`
`getToolbarOrder()`
`boolean`
`initialize(SwingGuiContext context)`
`boolean`
`isAddToMenu()`
Returns true if the action should be added to the menu, and false otherwise.
`boolean`
`isAddToToolbar()`
Returns true if the action should be added to the toolbar, and false otherwise.
`boolean`
`isSeparated()`
Returns true if the action is separated, and false otherwise.
`void`
`removePropertyChangeListener(PropertyChangeListener l)`

## Method Details

### getDisplayName

String getDisplayName()
Returns the display name for the export action.

Returns:
  The display name.

### getShortDescription

String getShortDescription()
Returns the short description for the export action.

Returns:
  The short description.

### getSmallIcon

Icon getSmallIcon()
Returns the small icon for the export action.

Returns:
  The icon.

### getLargeIcon

Icon getLargeIcon()
Returns the large icon for the export action.

Returns:
  The icon.

### getAcceleratorKey

KeyStroke getAcceleratorKey()
Returns the accelerator key for the export action.

Returns:
  The accelerator key.

### getMnemonicKey

Integer getMnemonicKey()
Returns the mnemonic key code.

Returns:
  The code.

### isSeparated

boolean isSeparated()
Returns true if the action is separated, and false otherwise.

Returns:
  A boolean.

### isAddToToolbar

boolean isAddToToolbar()
Returns true if the action should be added to the toolbar, and false otherwise.

Returns:
  A boolean.

### isAddToMenu

boolean isAddToMenu()
Returns true if the action should be added to the menu, and false otherwise.

Returns:
  A boolean.

### addPropertyChangeListener

void addPropertyChangeListener(PropertyChangeListener l)

### addPropertyChangeListener

void addPropertyChangeListener(String property, PropertyChangeListener l)

### removePropertyChangeListener

void removePropertyChangeListener(PropertyChangeListener l)

### getMenuOrder

int getMenuOrder()
A sort key used to enforce a certain order within the actions.

Returns:

### getToolbarOrder

int getToolbarOrder()

### getRole

String getRole()

### getRolePreference

int getRolePreference()

### initialize

boolean initialize(SwingGuiContext context)